MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029277Open CASCADE[OCCT] OCCT:Configurationpublic2017-10-31 12:042018-06-29 21:19
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029277: Configuration, Cmake - remove 3rd-party libraries from INTERFACE_LINK_LIBRARIES property of installed OCCT targets
DescriptionOCCT (CMake) installation procedure creates OpenCASCADE*Targets.cmake file for each module.
These files contain CMake description of all targets from specific module.
Also property INTERFACE_LINK_LIBRARIES is described for each target.
This property contains the list of transitive link dependencies.
When the target is linked into another target the libraries listed (and recursively their link interface libraries) will be provided to the other target also.

In this case any project which is using OCCT as a 3rd-party product will try to link to transitive links to the OCCT's 3rd-parties (tbb, freeimage and so on).
Sometimes these links contain absolute paths to the libraries and this cause linkage errors if OCCT was taken from some other station.

It is proposed to remove such interface links.
Steps To Reproduce• Configure and generate OCCT;
• Build it and install;
• Check installed OpenCASCADE*Targets.cmake files. They should not contain paths to 3rd-party libraries in property INTERFACE_LINK_LIBRARIES of targets.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029396closedbugmaster Open CASCADE Configuration, Cmake: restore 3rd-party libraries into INTERFACE_LINK_LIBRARIES property of installed OCCT targets 

-  Notes
(0071861)
git (administrator)
2017-10-31 12:07

Branch CR29277 has been created by ski.

SHA-1: f2f0f770df4343b9b35a3eff62fe4dcd65334806


Detailed log of new commits:

Author: ski
Date: Tue Oct 31 12:07:18 2017 +0300

    0029277: Configuration, Cmake - remove 3rd-party libraries from INTERFACE_LINK_LIBRARIES property of installed OCCT targets
    
    3rd-party libraries were removed from INTERFACE_LINK_LIBRARIES properties of OCCT targets.
(0071863)
git (administrator)
2017-10-31 12:35

Branch CR29277 has been updated forcibly by ski.

SHA-1: d586dfef01109a825abc9009a2a9f140c38d4837
(0071864)
ski (developer)
2017-10-31 12:37

Dear ibs,

please review.
(0071889)
ibs (developer)
2017-11-01 11:15

there are no remarks
(0072083)
git (administrator)
2017-11-08 18:24

Branch CR29277 has been deleted by kgv.

SHA-1: d586dfef01109a825abc9009a2a9f140c38d4837

- Related Changesets
occt: master 5891b8ba
Timestamp: 2017-10-31 09:07:18
Author: ski
Committer: bugmaster
Details ] Diff ]
0029277: Configuration, Cmake - remove 3rd-party libraries from INTERFACE_LINK_LIBRARIES property of installed OCCT targets

3rd-party libraries were removed from INTERFACE_LINK_LIBRARIES properties of OCCT targets.
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-10-31 12:04 ski New Issue
2017-10-31 12:04 ski Assigned To => ski
2017-10-31 12:07 git Note Added: 0071861
2017-10-31 12:35 git Note Added: 0071863
2017-10-31 12:35 ski Status new => assigned
2017-10-31 12:37 ski Note Added: 0071864
2017-10-31 12:37 ski Assigned To ski => ibs
2017-10-31 12:37 ski Status assigned => resolved
2017-10-31 12:37 ski Steps to Reproduce Updated View Revisions
2017-10-31 13:46 ski Description Updated View Revisions
2017-11-01 11:15 ibs Note Added: 0071889
2017-11-01 11:15 ibs Assigned To ibs => abv
2017-11-01 11:15 ibs Status resolved => reviewed
2017-11-02 10:56 bugmaster Status reviewed => tested
2017-11-02 11:51 bugmaster Test case number => Not required
2017-11-02 18:34 bugmaster Changeset attached => occt master 5891b8ba
2017-11-02 18:34 bugmaster Assigned To abv => bugmaster
2017-11-02 18:34 bugmaster Status tested => verified
2017-11-02 18:34 bugmaster Resolution open => fixed
2017-11-06 13:06 abv Relationship added parent of 0029297
2017-11-08 18:24 git Note Added: 0072083
2017-12-20 18:05 rnv Relationship added related to 0029396
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker